Retrieve the restorable times for a given GCP GCS asset.
Returns a list of time intervals (start timestamp and end timestamp) in which the GCS asset can be restored.
Path Parameters
- gcs_asset_id string required
Performs the operation on the GCS asset with the specified ID.
Query Parameters
- limit int64
Limits the size of the response on each page to the specified number of items.
- start string
Sets the page token used to browse the collection. Leave this parameter empty to get the first page. Other pages can be traversed using HATEOAS links.
- filter string
Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the filter conditions that can be applied on those fields:
For more information about filtering, refer to the Filtering section of this guide.Field Filter Condition Description timestamp $lte, $gte Filter pitr intervals whose range is "less than or equal to" or "greater than or equal to" a given timestamp.
- 200
- default
ListGCSAssetPitrIntervalsResponse represents the success response.
- application/api.clumio.gcp-gcs-assets=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
items object[]
A collection of requested items.
end_timestamp stringThe end time of the interval, represented in RFC3339 format.
start_timestamp stringThe start time of the interval, represented in RFC3339 format.
- current_count int64
The number of items listed on the current page.
- filter_applied string
The filter used in the request. The filter includes both manually-specified and system-generated filters.
- limit int64
The maximum number of items displayed per page in the response.
- start string
The page token used to get this response.
{
"_embedded": {
"items": [
{
"end_timestamp": "string",
"start_timestamp": "string"
}
]
},
"current_count": 0,
"filter_applied": "string",
"limit": 0,
"start": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}